Subject: Re: [PATCH net-next V1 10/11] net/mlx4_en: Fix Supported/Advertised link mode reported by ethtool

From: Amir Vadai <[email-masked]>
Date: Thu, 19 Dec 2013 10:34:37 +0200

On 17/12/2013 19:35, Amir Vadai wrote:
> On 17/12/2013 17:46, Ben Hutchings wrote:
>>> +		ADVERTISED_40000baseLR4_Full;
>> [...]
>>
>> How is this correct?  You should report the actual capabilities of the
>> MAC and PHY are present, not the union of all possible modes of all the
>> supported boards.
> I miss-understood this field.
> Will fix it.
> 
>>
>> (And the Kconfig description for MLX4_EN says '10Gbit Ethernet support',
>> so if this driver now supports some 40G boards that should be updated.)
> Will fix it for V2
> 
>>
>> Ben
> 
> 
> Thanks,
> Amir
> 

Hi Dave,

It seems that we need to write this patch from scratch, so I would like
to remove it from the patchset. So other patches we have in the pipe
won't be delayed.

Regarding the Kconfig description that Ben suggested, I will send it in
the next patchset.

Do you want me to send a V2 with the only difference is this patch
removed, or can you take this set?

Thanks,
Amir